Package be.cin.mycarenet._1_0.carenet.types

# Class Transfer

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.Transfer

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class Transfer extends Object implements Serializable

Java class for TransferType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransferType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence minOccurs="0">
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsuranceOrg" minOccurs="0"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}TransferDate"/>
           </sequence>
           <attribute name="Direction" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}TransferDirectionType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transfer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TransferDirectionType`
  `getDirection()`
  Gets the value of the direction property.
  `String`
  `getInsuranceOrg()`
  The code of the insurance organisation to/from who the care receivers transfered.
  `Instant`
  `getTransferDate()`
  The date that the transfer took place.
  `void`
  `setDirection(TransferDirectionType value)`
  Sets the value of the direction property.
  `void`
  `setInsuranceOrg(String value)`
  Sets the value of the insuranceOrg property.
  `void`
  `setTransferDate(Instant value)`
  Sets the value of the transferDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Transfer

    public Transfer()

- ## Method Details

  - ### getInsuranceOrg

    public String getInsuranceOrg()
    The code of the insurance organisation to/from who the care receivers transfered.
    Returns:
      possible object is `String`

  - ### setInsuranceOrg

    public void setInsuranceOrg(String value)
    Sets the value of the insuranceOrg property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getInsuranceOrg()`

  - ### getTransferDate

    public Instant getTransferDate()
    The date that the transfer took place.
    Returns:
      possible object is `String`

  - ### setTransferDate

    public void setTransferDate(Instant value)
    Sets the value of the transferDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTransferDate()`

  - ### getDirection

    public TransferDirectionType getDirection()
    Gets the value of the direction property.
    Returns:
      possible object is `TransferDirectionType`

  - ### setDirection

    public void setDirection(TransferDirectionType value)
    Sets the value of the direction property.
    Parameters:
      `value` - allowed object is `TransferDirectionType`